CREATE TABLE ben_per_bnf_org (
    PER_BNF_ORG_ID             NUMBER(22, 0) ,
    BUSINESS_GROUP_ID          NUMBER(18, 0)     NOT NULL,
    START_DATE                 DATE              NOT NULL,
    END_DATE                   DATE          ,
    PERSON_ID                  NUMBER(22, 0)     NOT NULL,
    BNF_TYP_CD                 VARCHAR2(120)     NOT NULL,
    BNF_ORGANIZATION_ID        NUMBER(22, 0) ,
    TRUSTEE_ORG_NAME           VARCHAR2(960) ,
    TRUSTEE_ORG_REG_CD         VARCHAR2(960) ,
    TRUSTEE_ORG_DESCRIPTION    VARCHAR2(2400),
    TRUSTEE_ADDL_DETAILS       VARCHAR2(2400),
    TRUSTEE_EXECUTOR_NAME      VARCHAR2(960) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    PER_BNF_ORG_ID             NUMBER(22, 0) ,
    BUSINESS_GROUP_ID          NUMBER(18, 0)     NOT NULL,
    START_DATE                 DATE              NOT NULL,
    END_DATE                   DATE          ,
    PERSON_ID                  NUMBER(22, 0)     NOT NULL,
    BNF_TYP_CD                 VARCHAR2(120)     NOT NULL,
    BNF_ORGANIZATION_ID        NUMBER(22, 0) ,
    TRUSTEE_ORG_NAME           VARCHAR2(960) ,
    TRUSTEE_ORG_REG_CD         VARCHAR2(960) ,
    TRUSTEE_ORG_DESCRIPTION    VARCHAR2(2400),
    TRUSTEE_ADDL_DETAILS       VARCHAR2(2400),
    TRUSTEE_EXECUTOR_NAME      VARCHAR2(960) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ben_per_bnf_org PRIMARY KEY (PER_BNF_ORG_ID, PER_BNF_ORG_ID)
);
